summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-11-24 07:32:06 +0100
committerHans de Graaff <graaff@gentoo.org>2021-11-24 07:37:15 +0100
commit6ce6a7e06b64e87158b95fdc86a49bf3dc4a720f (patch)
treea56752ca85f1140655695fddcc8c422713000237 /eclass
parentdev-ruby/stamp: EAPI 8 (diff)
downloadgentoo-6ce6a7e06b64e87158b95fdc86a49bf3dc4a720f.tar.gz
gentoo-6ce6a7e06b64e87158b95fdc86a49bf3dc4a720f.tar.bz2
gentoo-6ce6a7e06b64e87158b95fdc86a49bf3dc4a720f.zip
eclass/ruby-ng.eclass: turn off loud publication banner in cucumber
Use the environment variable rather than the command-line option for easy backward compatibility with cucumber < 7. Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ruby-ng.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/ruby-ng.eclass b/eclass/ruby-ng.eclass
index 6b3c0c25eaa2..90da695a04c2 100644
--- a/eclass/ruby-ng.eclass
+++ b/eclass/ruby-ng.eclass
@@ -734,7 +734,7 @@ ruby-ng_cucumber() {
;;
esac
- ${RUBY} -S cucumber ${cucumber_params} "$@" || die "cucumber failed"
+ CUCUMBER_PUBLISH_QUIET=true ${RUBY} -S cucumber ${cucumber_params} "$@" || die "cucumber failed"
}
# @FUNCTION: ruby-ng_testrb-2